Package org.lwjgl.opencl.api

# Class CLImageFormat

java.lang.Object
org.lwjgl.opencl.api.CLImageFormat

public final class CLImageFormat extends Object
Simple container for cl_image_format struct values.

Author:
  Spasi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`STRUCT_SIZE`
The cl_image_format struct size in bytes.

## Constructor Summary

Constructors
Constructor
Description
`CLImageFormat(int channelOrder, int channelType)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getChannelOrder()`
`int`
`getChannelType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### STRUCT_SIZE

public static final int STRUCT_SIZE
The cl_image_format struct size in bytes.

See Also:
  - Constant Field Values

## Constructor Details

### CLImageFormat

public CLImageFormat(int channelOrder, int channelType)

## Method Details

### getChannelOrder

public int getChannelOrder()

### getChannelType

public int getChannelType()